> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kodostatus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Incident

> Create a new incident and optionally notify subscribers

## Body Parameters

<ParamField body="title" type="string" required>
  Incident title
</ParamField>

<ParamField body="status" type="string" default="investigating">
  Initial status: `investigating`, `identified`, `monitoring`, `resolved`
</ParamField>

<ParamField body="severity" type="string" default="minor">
  Severity level: `minor`, `major`, `critical`
</ParamField>

<ParamField body="message" type="string">
  Initial update message
</ParamField>

<ParamField body="services" type="array">
  Array of service names or IDs to link to this incident
</ParamField>

## Response

Returns the created incident object.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://kodostatus.com/api/v1/incidents" \
    -H "X-API-Key: your_api_key" \
    -H "Content-Type: application/json" \
    -d '{
      "title": "Database connectivity issues",
      "status": "investigating",
      "severity": "major",
      "message": "We are investigating reports of database issues",
      "services": ["API", "Database"]
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://kodostatus.com/api/v1/incidents', {
    method: 'POST',
    headers: {
      'X-API-Key': process.env.KODO_API_KEY,
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      title: 'Database connectivity issues',
      status: 'investigating',
      severity: 'major',
      message: 'We are investigating reports of database issues',
      services: ['API', 'Database']
    })
  });
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "title": "Database connectivity issues",
    "status": "investigating",
    "severity": "major",
    "started_at": "2026-01-15T10:30:00.000Z",
    "created_at": "2026-01-15T10:30:00.000Z",
    "updated_at": "2026-01-15T10:30:00.000Z"
  }
  ```
</ResponseExample>
